> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supportai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Chatbots

> Learn how to programmatically manage AI chatbots with the Support AI API endpoints.

The Chatbot API can be used to retrieve your chatbots within your Support AI account.

## Properties

<ParamField body="id" type="string">
Unique identifier for the chatbot.
</ParamField>

<ParamField body="uid" type="string">
Secondary identifier for the chatbot. (Deprecated)
</ParamField>

<ParamField body="name" type="string">
The name of the chatbot.
</ParamField>

<ParamField body="configuration" type="string">
The details of the chatbot configuration.
</ParamField>

***

**GET** /getMyChatbots

## List all Chatbots

Get the list of all your chatbots including their settings of your account.

### Request

**GET** /getMyChatbots

```bash
curl -G https://api.supportai.com/getMyChatbots \
  -H "Authorization: Bearer IDZFdfiD..." \
```

### Response

```json
{
  "success": true,
  "data": [
    {
      "id": "i082x935...",
      "name": "My Chatbot",
      "configuration": "{json string containing chatbot's configuration}"
    },
    ...
  ]
}
```

***

**GET** /fetchChatbot/:chatbot_id

## Fetch Chatbot

Get the details of a specific chatbot of your account based on the ID.

### Required attributes

<ParamField body="chatbot_id" type="string">
The ID of the chatbot being requested.
</ParamField>

### Request

**POST** /fetchChatbot/:chatbot_id

```bash
curl https://api.supportai.com/fetchChatbot/:chatbot_id \
  -H "Authorization: Bearer IDZFdfiD..." \
```

### Response

```json
{
  "success": true,
  "data": [
    {
      "id": "i082x935...",
      "name": "My Chatbot",
      "configuration": "{json string containing chatbot's configuration}"
    }
  ]
}
```

---

This knowledge base is built and hosted on [Weav](https://weav.com).
